Package org.w3._1999.xhtml

# Class Table

java.lang.Object
org.w3._1999.xhtml.Table

public class Table extends Object
<p>Java class for anonymous complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element ref="{http://www.w3.org/1999/xhtml}caption" minOccurs="0"/> <choice> <element ref="{http://www.w3.org/1999/xhtml}col" maxOccurs="unbounded" minOccurs="0"/> <element ref="{http://www.w3.org/1999/xhtml}colgroup" maxOccurs="unbounded" minOccurs="0"/> </choice> <element ref="{http://www.w3.org/1999/xhtml}thead" minOccurs="0"/> <element ref="{http://www.w3.org/1999/xhtml}tfoot" minOccurs="0"/> <choice> <element ref="{http://www.w3.org/1999/xhtml}tbody" maxOccurs="unbounded"/> <element ref="{http://www.w3.org/1999/xhtml}tr" maxOccurs="unbounded"/> </choice> </sequence> <attGroup ref="{http://www.w3.org/1999/xhtml}attrs"/> <attribute name="summary" type="{http://www.w3.org/1999/xhtml}Text" /> <attribute name="width" type="{http://www.w3.org/1999/xhtml}Length" /> <attribute name="border" type="{http://www.w3.org/1999/xhtml}Pixels" /> <attribute name="frame" type="{http://www.w3.org/1999/xhtml}TFrame" /> <attribute name="rules" type="{http://www.w3.org/1999/xhtml}TRules" /> <attribute name="cellspacing" type="{http://www.w3.org/1999/xhtml}Length" /> <attribute name="cellpadding" type="{http://www.w3.org/1999/xhtml}Length" /> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected BigInteger`
  `border`
  `protected Caption`
  `caption`
  `protected String`
  `cellpadding`
  `protected String`
  `cellspacing`
  `protected List<String>`
  `clazz`
  `protected List<Col>`
  `col`
  col elements define the alignment properties for cells in one or more columns.
  `protected List<Colgroup>`
  `colgroup`
  colgroup groups a set of col elements.
  `protected String`
  `dir`
  `protected TFrame`
  `frame`
  `protected String`
  `id`
  `protected String`
  `lang`
  `protected String`
  `onclick`
  `protected String`
  `ondblclick`
  `protected String`
  `onkeydown`
  `protected String`
  `onkeypress`
  `protected String`
  `onkeyup`
  `protected String`
  `onmousedown`
  `protected String`
  `onmousemove`
  `protected String`
  `onmouseout`
  `protected String`
  `onmouseover`
  `protected String`
  `onmouseup`
  `protected TRules`
  `rules`
  `protected String`
  `style`
  `protected String`
  `summary`
  `protected List<Tbody>`
  `tbody`
  `protected Tfoot`
  `tfoot`
  `protected Thead`
  `thead`
  `protected String`
  `title`
  `protected List<Tr>`
  `tr`
  `protected String`
  `width`
  `protected String`
  `xmlLang`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Table()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigInteger`
  `getBorder()`
  Gets the value of the border property.
  `Caption`
  `getCaption()`
  Gets the value of the caption property.
  `String`
  `getCellpadding()`
  Gets the value of the cellpadding property.
  `String`
  `getCellspacing()`
  Gets the value of the cellspacing property.
  `List<String>`
  `getClazz()`
  Gets the value of the clazz property.
  `List<Col>`
  `getCol()`
  col elements define the alignment properties for cells in one or more columns.
  `List<Colgroup>`
  `getColgroup()`
  colgroup groups a set of col elements.
  `String`
  `getDir()`
  Gets the value of the dir property.
  `TFrame`
  `getFrame()`
  Gets the value of the frame property.
  `String`
  `getId()`
  Gets the value of the id property.
  `String`
  `getLang()`
  Gets the value of the lang property.
  `String`
  `getOnclick()`
  Gets the value of the onclick property.
  `String`
  `getOndblclick()`
  Gets the value of the ondblclick property.
  `String`
  `getOnkeydown()`
  Gets the value of the onkeydown property.
  `String`
  `getOnkeypress()`
  Gets the value of the onkeypress property.
  `String`
  `getOnkeyup()`
  Gets the value of the onkeyup property.
  `String`
  `getOnmousedown()`
  Gets the value of the onmousedown property.
  `String`
  `getOnmousemove()`
  Gets the value of the onmousemove property.
  `String`
  `getOnmouseout()`
  Gets the value of the onmouseout property.
  `String`
  `getOnmouseover()`
  Gets the value of the onmouseover property.
  `String`
  `getOnmouseup()`
  Gets the value of the onmouseup property.
  `TRules`
  `getRules()`
  Gets the value of the rules property.
  `String`
  `getStyle()`
  Gets the value of the style property.
  `String`
  `getSummary()`
  Gets the value of the summary property.
  `List<Tbody>`
  `getTbody()`
  Gets the value of the tbody property.
  `Tfoot`
  `getTfoot()`
  Gets the value of the tfoot property.
  `Thead`
  `getThead()`
  Gets the value of the thead property.
  `String`
  `getTitle()`
  Gets the value of the title property.
  `List<Tr>`
  `getTr()`
  Gets the value of the tr property.
  `String`
  `getWidth()`
  Gets the value of the width property.
  `String`
  `getXmlLang()`
  Gets the value of the xmlLang property.
  `void`
  `setBorder(BigInteger value)`
  Sets the value of the border property.
  `void`
  `setCaption(Caption value)`
  Sets the value of the caption property.
  `void`
  `setCellpadding(String value)`
  Sets the value of the cellpadding property.
  `void`
  `setCellspacing(String value)`
  Sets the value of the cellspacing property.
  `void`
  `setDir(String value)`
  Sets the value of the dir property.
  `void`
  `setFrame(TFrame value)`
  Sets the value of the frame property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setLang(String value)`
  Sets the value of the lang property.
  `void`
  `setOnclick(String value)`
  Sets the value of the onclick property.
  `void`
  `setOndblclick(String value)`
  Sets the value of the ondblclick property.
  `void`
  `setOnkeydown(String value)`
  Sets the value of the onkeydown property.
  `void`
  `setOnkeypress(String value)`
  Sets the value of the onkeypress property.
  `void`
  `setOnkeyup(String value)`
  Sets the value of the onkeyup property.
  `void`
  `setOnmousedown(String value)`
  Sets the value of the onmousedown property.
  `void`
  `setOnmousemove(String value)`
  Sets the value of the onmousemove property.
  `void`
  `setOnmouseout(String value)`
  Sets the value of the onmouseout property.
  `void`
  `setOnmouseover(String value)`
  Sets the value of the onmouseover property.
  `void`
  `setOnmouseup(String value)`
  Sets the value of the onmouseup property.
  `void`
  `setRules(TRules value)`
  Sets the value of the rules property.
  `void`
  `setStyle(String value)`
  Sets the value of the style property.
  `void`
  `setSummary(String value)`
  Sets the value of the summary property.
  `void`
  `setTfoot(Tfoot value)`
  Sets the value of the tfoot property.
  `void`
  `setThead(Thead value)`
  Sets the value of the thead property.
  `void`
  `setTitle(String value)`
  Sets the value of the title property.
  `void`
  `setWidth(String value)`
  Sets the value of the width property.
  `void`
  `setXmlLang(String value)`
  Sets the value of the xmlLang property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### caption

    protected Caption caption

  - ### col

    protected List<Col> col
    col elements define the alignment properties for cells in one or more columns. The width attribute specifies the width of the columns, e.g. width=64 width in screen pixels width=0.5* relative width of 0.5 The span attribute causes the attributes of one col element to apply to more than one column.

  - ### colgroup

    protected List<Colgroup> colgroup
    colgroup groups a set of col elements. It allows you to group several semantically related columns together.

  - ### thead

    protected Thead thead

  - ### tfoot

    protected Tfoot tfoot

  - ### tbody

    protected List<Tbody> tbody

  - ### tr

    protected List<Tr> tr

  - ### summary

    protected String summary

  - ### width

    protected String width

  - ### border

    protected BigInteger border

  - ### frame

    protected TFrame frame

  - ### rules

    protected TRules rules

  - ### cellspacing

    protected String cellspacing

  - ### cellpadding

    protected String cellpadding

  - ### lang

    protected String lang

  - ### xmlLang

    protected String xmlLang

  - ### dir

    protected String dir

  - ### id

    protected String id

  - ### clazz

    protected List<String> clazz

  - ### style

    protected String style

  - ### title

    protected String title

  - ### onclick

    protected String onclick

  - ### ondblclick

    protected String ondblclick

  - ### onmousedown

    protected String onmousedown

  - ### onmouseup

    protected String onmouseup

  - ### onmouseover

    protected String onmouseover

  - ### onmousemove

    protected String onmousemove

  - ### onmouseout

    protected String onmouseout

  - ### onkeypress

    protected String onkeypress

  - ### onkeydown

    protected String onkeydown

  - ### onkeyup

    protected String onkeyup

- ## Constructor Details

  - ### Table

    public Table()

- ## Method Details

  - ### getCaption

    public Caption getCaption()
    Gets the value of the caption property.
    Returns:
      possible object is `Caption`

  - ### setCaption

    public void setCaption(Caption value)
    Sets the value of the caption property.
    Parameters:
      `value` - allowed object is `Caption`

  - ### getCol

    public List<Col> getCol()
    col elements define the alignment properties for cells in one or more columns. The width attribute specifies the width of the columns, e.g. width=64 width in screen pixels width=0.5* relative width of 0.5 The span attribute causes the attributes of one col element to apply to more than one column. Gets the value of the col property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the col property.

    For example, to add a new item, do as follows:

         getCol().add(newItem);

    Objects of the following type(s) are allowed in the list `Col`

    Returns:
      The value of the col property.

  - ### getColgroup

    public List<Colgroup> getColgroup()
    colgroup groups a set of col elements. It allows you to group several semantically related columns together. Gets the value of the colgroup property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the colgroup property.

    For example, to add a new item, do as follows:

         getColgroup().add(newItem);

    Objects of the following type(s) are allowed in the list `Colgroup`

    Returns:
      The value of the colgroup property.

  - ### getThead

    public Thead getThead()
    Gets the value of the thead property.
    Returns:
      possible object is `Thead`

  - ### setThead

    public void setThead(Thead value)
    Sets the value of the thead property.
    Parameters:
      `value` - allowed object is `Thead`

  - ### getTfoot

    public Tfoot getTfoot()
    Gets the value of the tfoot property.
    Returns:
      possible object is `Tfoot`

  - ### setTfoot

    public void setTfoot(Tfoot value)
    Sets the value of the tfoot property.
    Parameters:
      `value` - allowed object is `Tfoot`

  - ### getTbody

    public List<Tbody> getTbody()
    Gets the value of the tbody property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the tbody property.

    For example, to add a new item, do as follows:

         getTbody().add(newItem);

    Objects of the following type(s) are allowed in the list `Tbody`

    Returns:
      The value of the tbody property.

  - ### getTr

    public List<Tr> getTr()
    Gets the value of the tr property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the tr property.

    For example, to add a new item, do as follows:

         getTr().add(newItem);

    Objects of the following type(s) are allowed in the list `Tr`

    Returns:
      The value of the tr property.

  - ### getSummary

    public String getSummary()
    Gets the value of the summary property.
    Returns:
      possible object is `String`

  - ### setSummary

    public void setSummary(String value)
    Sets the value of the summary property.
    Parameters:
      `value` - allowed object is `String`

  - ### getWidth

    public String getWidth()
    Gets the value of the width property.
    Returns:
      possible object is `String`

  - ### setWidth

    public void setWidth(String value)
    Sets the value of the width property.
    Parameters:
      `value` - allowed object is `String`

  - ### getBorder

    public BigInteger getBorder()
    Gets the value of the border property.
    Returns:
      possible object is `BigInteger`

  - ### setBorder

    public void setBorder(BigInteger value)
    Sets the value of the border property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getFrame

    public TFrame getFrame()
    Gets the value of the frame property.
    Returns:
      possible object is `TFrame`

  - ### setFrame

    public void setFrame(TFrame value)
    Sets the value of the frame property.
    Parameters:
      `value` - allowed object is `TFrame`

  - ### getRules

    public TRules getRules()
    Gets the value of the rules property.
    Returns:
      possible object is `TRules`

  - ### setRules

    public void setRules(TRules value)
    Sets the value of the rules property.
    Parameters:
      `value` - allowed object is `TRules`

  - ### getCellspacing

    public String getCellspacing()
    Gets the value of the cellspacing property.
    Returns:
      possible object is `String`

  - ### setCellspacing

    public void setCellspacing(String value)
    Sets the value of the cellspacing property.
    Parameters:
      `value` - allowed object is `String`

  - ### getCellpadding

    public String getCellpadding()
    Gets the value of the cellpadding property.
    Returns:
      possible object is `String`

  - ### setCellpadding

    public void setCellpadding(String value)
    Sets the value of the cellpadding property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLang

    public String getLang()
    Gets the value of the lang property.
    Returns:
      possible object is `String`

  - ### setLang

    public void setLang(String value)
    Sets the value of the lang property.
    Parameters:
      `value` - allowed object is `String`

  - ### getXmlLang

    public String getXmlLang()
    Gets the value of the xmlLang property.
    Returns:
      possible object is `String`

  - ### setXmlLang

    public void setXmlLang(String value)
    Sets the value of the xmlLang property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDir

    public String getDir()
    Gets the value of the dir property.
    Returns:
      possible object is `String`

  - ### setDir

    public void setDir(String value)
    Sets the value of the dir property.
    Parameters:
      `value` - allowed object is `String`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getClazz

    public List<String> getClazz()
    Gets the value of the clazz property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the clazz property.

    For example, to add a new item, do as follows:

         getClazz().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the clazz property.

  - ### getStyle

    public String getStyle()
    Gets the value of the style property.
    Returns:
      possible object is `String`

  - ### setStyle

    public void setStyle(String value)
    Sets the value of the style property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTitle

    public String getTitle()
    Gets the value of the title property.
    Returns:
      possible object is `String`

  - ### setTitle

    public void setTitle(String value)
    Sets the value of the title property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnclick

    public String getOnclick()
    Gets the value of the onclick property.
    Returns:
      possible object is `String`

  - ### setOnclick

    public void setOnclick(String value)
    Sets the value of the onclick property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOndblclick

    public String getOndblclick()
    Gets the value of the ondblclick property.
    Returns:
      possible object is `String`

  - ### setOndblclick

    public void setOndblclick(String value)
    Sets the value of the ondblclick property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnmousedown

    public String getOnmousedown()
    Gets the value of the onmousedown property.
    Returns:
      possible object is `String`

  - ### setOnmousedown

    public void setOnmousedown(String value)
    Sets the value of the onmousedown property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnmouseup

    public String getOnmouseup()
    Gets the value of the onmouseup property.
    Returns:
      possible object is `String`

  - ### setOnmouseup

    public void setOnmouseup(String value)
    Sets the value of the onmouseup property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnmouseover

    public String getOnmouseover()
    Gets the value of the onmouseover property.
    Returns:
      possible object is `String`

  - ### setOnmouseover

    public void setOnmouseover(String value)
    Sets the value of the onmouseover property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnmousemove

    public String getOnmousemove()
    Gets the value of the onmousemove property.
    Returns:
      possible object is `String`

  - ### setOnmousemove

    public void setOnmousemove(String value)
    Sets the value of the onmousemove property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnmouseout

    public String getOnmouseout()
    Gets the value of the onmouseout property.
    Returns:
      possible object is `String`

  - ### setOnmouseout

    public void setOnmouseout(String value)
    Sets the value of the onmouseout property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnkeypress

    public String getOnkeypress()
    Gets the value of the onkeypress property.
    Returns:
      possible object is `String`

  - ### setOnkeypress

    public void setOnkeypress(String value)
    Sets the value of the onkeypress property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnkeydown

    public String getOnkeydown()
    Gets the value of the onkeydown property.
    Returns:
      possible object is `String`

  - ### setOnkeydown

    public void setOnkeydown(String value)
    Sets the value of the onkeydown property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOnkeyup

    public String getOnkeyup()
    Gets the value of the onkeyup property.
    Returns:
      possible object is `String`

  - ### setOnkeyup

    public void setOnkeyup(String value)
    Sets the value of the onkeyup property.
    Parameters:
      `value` - allowed object is `String`